# -*- coding:utf-8 -*-
__author__ = 'MaJ3stY'

import pytsk3

LocalVolume         = "\\\\.\\PhysicalDrive0"       # 장치이름 지정
LocalVolume_Handle  = pytsk3.Img_Info(LocalVolume)  # 장치를 입력
PartitionTables     = pytsk3.Volume_Info(LocalVolume_Handle) # 장치 핸들을 이용해 장치 내의 볼륨 정보 파싱

for partition in PartitionTables:
    print "[+] Type               : %s" % partition.desc    # 파티션 설명
    print "\t[-] Number         : %d" % partition.addr      # 장치 내의 파티션 순서
    print "\t[-] Start Sector   : %d" % partition.start     # 볼륨 시작 섹터 번호
    print "\t[-] Sector Count   : %d" % partition.len       # 각 볼륨에 할당된 섹터 수


